### Method

# Vips Dbuf get_write

#### Declaration [src]

    unsigned char*
    vips_dbuf_get_write (
      VipsDbuf* dbuf,
      size_t* size
    )

#### Description [src]

Return a pointer to an area you can write to, return length of area in `size`. Use `vips_dbuf_allocate()` before this call to set a minimum amount of space to have available.

The write point moves to just beyond the returned block. Use `vips_dbuf_seek()` to move it back again.

#### Parameters

`size`

  Type: `size_t*`

  Optionally return length in bytes here.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `unsigned char*`

Start of write area.

The returned data is owned by the instance.